#include <iostream>
using namespace std;
int main(){
    int n;
    unsigned long long int L;
    cin >> n >> L;
    
    unsigned long long int niz[n];
    for(int i = 0; i < n; ++i){
        cin >> niz[i];
    }
    
    int pom = 0;
    for(int i = 0; i < n; ++i){
        if(L > niz[i]){
            pom = i + 1;
            break;
        }
    }
    
    if(pom){
        cout << pom;
    }else{
        cout << -1;
    }

    return 0;
}